Bug 1388142 - kernel debuginfo file conflict between updates* and installed packages
Summary: kernel debuginfo file conflict between updates* and installed packages
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1340819
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-24 15:01 UTC by Yann Droneaud
Modified: 2017-09-05 14:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-25 12:08:47 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 751195 None ASSIGNED make it possible to install multiple kernel-debuginfos 2019-07-17 19:12:36 UTC
Red Hat Bugzilla 1369557 None CLOSED debuginfo conflicts in scripts/ binaries 2019-07-17 19:12:36 UTC

Internal Links: 1728946

Description Yann Droneaud 2016-10-24 15:01:37 UTC
I cannot upgrade with dnf when updated kernel-debug-debuginfo are available in updates-testing repository:

# dnf distro-sync

Dependencies resolved.
=========================================================================
 Package                         Arch    Version         Repository                Size
=========================================================================
Installing:
 kernel                          x86_64  4.8.3-300.fc25  updates-testing            89 k
 kernel-core                     x86_64  4.8.3-300.fc25  updates-testing            20 M
 kernel-debug                    x86_64  4.8.3-300.fc25  updates-testing            89 k
 kernel-debug-core               x86_64  4.8.3-300.fc25  updates-testing            21 M
 kernel-debug-debuginfo          x86_64  4.8.3-300.fc25  updates-testing-debuginfo  526 M
 kernel-debug-devel              x86_64  4.8.3-300.fc25  updates-testing            11 M
 kernel-debug-modules            x86_64  4.8.3-300.fc25  updates-testing            23 M
 kernel-debuginfo-common-x86_64  x86_64  4.8.3-300.fc25  updates-testing-debuginfo  57 M
 kernel-devel                    x86_64  4.8.3-300.fc25  updates-testing            11 M
 kernel-modules                  x86_64  4.8.3-300.fc25  updates-testing            22 M
 kernel-modules-extra            x86_64  4.8.3-300.fc25  updates-testing            2.2 M
Upgrading:
...

Error: Transaction check error:
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2 from install of kernel-debug-debuginfo-4.8.3-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.1-1.fc25.x86_64
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2.debug from install of kernel-debug-debuginfo-4.8.3-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.1-1.fc25.x86_64


# dnf info kernel-debug-debuginfo-4.8.1-1.fc25.x86_64

Installed Packages
Name        : kernel-debug-debuginfo
Arch        : x86_64
Epoch       : 0
Version     : 4.8.1
Release     : 1.fc25
Size        : 2.4 G
Repo        : @System
Summary     : Debug information for package kernel-debug
URL         : http://www.kernel.org/
License     : GPLv2 and Redistributable, no modification permitted
Description : This package provides debug information for package kernel-debug.
            : This is required to use SystemTap with kernel-debug-4.8.1-1.fc25.x86_64.

# dnf info kernel-debug-debuginfo-4.8.3-300.fc25.x86_64
Available Packages
Name        : kernel-debug-debuginfo
Arch        : x86_64
Epoch       : 0
Version     : 4.8.3
Release     : 300.fc25
Size        : 526 M
Repo        : updates-testing-debuginfo
Summary     : Debug information for package kernel-debug
URL         : http://www.kernel.org/
License     : GPLv2 and Redistributable, no modification permitted
Description : This package provides debug information for package kernel-debug.
            : This is required to use SystemTap with kernel-debug-4.8.3-300.fc25.x86_64.

The issue is recurring since Fedora 24, and it's happening right now on Fedora 25:
- each time a new kernel-debug-debuginfo is available, I cannot upgrade it while it's in updates-testing repository.

- upgrade is possible without conflict once the package is available in updates repository.

Comment 1 Yann Droneaud 2016-11-18 17:08:18 UTC
======================================================================================
 Package                        Arch   Version        Repository                 Size
======================================================================================
Installing:
 kernel                         x86_64 4.8.8-300.fc25 updates-testing            91 k
 kernel-core                    x86_64 4.8.8-300.fc25 updates-testing            20 M
 kernel-debug                   x86_64 4.8.8-300.fc25 updates-testing            91 k
 kernel-debug-core              x86_64 4.8.8-300.fc25 updates-testing            21 M
 kernel-debug-debuginfo         x86_64 4.8.8-300.fc25 updates-testing-debuginfo 526 M
 kernel-debug-devel             x86_64 4.8.8-300.fc25 updates-testing            11 M
 kernel-debug-modules           x86_64 4.8.8-300.fc25 updates-testing            23 M
 kernel-debuginfo-common-x86_64 x86_64 4.8.8-300.fc25 updates-testing-debuginfo  57 M
 kernel-devel                   x86_64 4.8.8-300.fc25 updates-testing            11 M
 kernel-modules                 x86_64 4.8.8-300.fc25 updates-testing            22 M
 kernel-modules-extra           x86_64 4.8.8-300.fc25 updates-testing           2.2 M
Upgrading:
 kernel-headers                 x86_64 4.8.8-300.fc25 updates-testing           1.1 M
 kernel-tools                   x86_64 4.8.8-300.fc25 updates-testing           195 k
 kernel-tools-libs              x86_64 4.8.8-300.fc25 updates-testing            99 k
Removing:
 kernel                         x86_64 4.8.3-300.fc25 @fedora                     0  
 kernel-core                    x86_64 4.8.3-300.fc25 @fedora                    52 M
 kernel-debug                   x86_64 4.8.3-300.fc25 @fedora                     0  
 kernel-debug-core              x86_64 4.8.3-300.fc25 @fedora                    54 M
 kernel-debug-devel             x86_64 4.8.3-300.fc25 @fedora                    41 M
 kernel-debug-modules           x86_64 4.8.3-300.fc25 @fedora                    22 M
 kernel-debuginfo-common-x86_64 x86_64 4.8.3-300.fc25 @fedora-debuginfo         299 M
 kernel-devel                   x86_64 4.8.3-300.fc25 @fedora                    40 M
 kernel-modules                 x86_64 4.8.3-300.fc25 @fedora                    22 M
 kernel-modules-extra           x86_64 4.8.3-300.fc25 @fedora                   2.0 M

Transaction Summary
======================================================================================
Install  11 Packages
Upgrade   3 Packages
Remove   10 Packages

Total size: 694 M

...

Error: Transaction check error:
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/19/6b1f1876a4ae3b0c0dca6af3c0dfce6c8b7359 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/19/6b1f1876a4ae3b0c0dca6af3c0dfce6c8b7359.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/1c/cd7a5e2c737d9a4cd18330adb82873d8d02967 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/1c/cd7a5e2c737d9a4cd18330adb82873d8d02967.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/2a/beeae53f66c8f888c33365ca59213bc3bf5727 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/2a/beeae53f66c8f888c33365ca59213bc3bf5727.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/51dcd37090e0427a1d4a87d141c62ec004ef2f from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/51dcd37090e0427a1d4a87d141c62ec004ef2f.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/77/9e00239600ab31f664558f10c1d5b9d6649ad2 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/77/9e00239600ab31f664558f10c1d5b9d6649ad2.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/79/378be83a6177c5d9d7813e640869176c4476b4 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/79/378be83a6177c5d9d7813e640869176c4476b4.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/80/4dd0e3d96d42695f8326eec3d5d8b179d5229b from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/80/4dd0e3d96d42695f8326eec3d5d8b179d5229b.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a1/3ec7c1c85a0d9ed42e8da268868843ce27777f from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a1/3ec7c1c85a0d9ed42e8da268868843ce27777f.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ad/4bbea3eac97974a729cb9d0ad95eefadca207d from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ad/4bbea3eac97974a729cb9d0ad95eefadca207d.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/cd/11394ad3966a3082c37b6415910ce143c726cd from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/cd/11394ad3966a3082c37b6415910ce143c726cd.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/d8/0bb1a9186c4be40cfe8a1eeba3e11565138b42 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/d8/0bb1a9186c4be40cfe8a1eeba3e11565138b42.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/d9a396e763d41ff753c3ae1446c2ec73c9d687 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/d9a396e763d41ff753c3ae1446c2ec73c9d687.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f3/a5cdb43e221a62d4821457f2a9f68eaacc5ea6 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f3/a5cdb43e221a62d4821457f2a9f68eaacc5ea6.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f9/3f4d594c113028bde7413ea6447c55db54ba52 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f9/3f4d594c113028bde7413ea6447c55db54ba52.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/fc/4d360019a05cc1844d30edf569b276567a95f7 from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64
  file /usr/lib/debug/.build-id/fc/4d360019a05cc1844d30edf569b276567a95f7.debug from install of kernel-debug-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.5-300.fc25.x86_64

Comment 2 Yann Droneaud 2016-11-18 17:15:51 UTC
It's really a mess: I can't even install kernel-debuginfo too:

# dnf install kernel-debuginfo
Last metadata expiration check: 0:18:34 ago on Fri Nov 18 17:51:01 2016.
Dependencies resolved.
======================================================================================
 Package                        Arch   Version        Repository                 Size
======================================================================================
Installing:
 kernel-debuginfo               x86_64 4.8.8-300.fc25 updates-testing-debuginfo 514 M
 kernel-debuginfo-common-x86_64 x86_64 4.8.8-300.fc25 updates-testing-debuginfo  57 M
Removing:
 kernel-debuginfo-common-x86_64 x86_64 4.8.3-300.fc25 @fedora-debuginfo         299 M

Transaction Summary
======================================================================================
Install  2 Packages
Remove   1 Package

Total size: 571 M
Total download size: 514 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] kernel-debuginfo-common-x86_64-4.8.8-300.fc25.x86_64.rpm: Already downloaded
(2/2): kernel-debuginfo-4.8.8-300.fc25.x86_64.rpm     3.0 MB/s | 514 MB     02:51    
--------------------------------------------------------------------------------------
Total                                                 3.0 MB/s | 514 MB     02:52     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/18/496992b74e10303057d6cc33a77d74e84197e2.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/19/6b1f1876a4ae3b0c0dca6af3c0dfce6c8b7359.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/19/6b1f1876a4ae3b0c0dca6af3c0dfce6c8b7359.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/1c/cd7a5e2c737d9a4cd18330adb82873d8d02967.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/1c/cd7a5e2c737d9a4cd18330adb82873d8d02967.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/2a/beeae53f66c8f888c33365ca59213bc3bf5727.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/2a/beeae53f66c8f888c33365ca59213bc3bf5727.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/51dcd37090e0427a1d4a87d141c62ec004ef2f.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/51dcd37090e0427a1d4a87d141c62ec004ef2f.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/77/9e00239600ab31f664558f10c1d5b9d6649ad2.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/77/9e00239600ab31f664558f10c1d5b9d6649ad2.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/79/378be83a6177c5d9d7813e640869176c4476b4.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/79/378be83a6177c5d9d7813e640869176c4476b4.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/80/4dd0e3d96d42695f8326eec3d5d8b179d5229b.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/80/4dd0e3d96d42695f8326eec3d5d8b179d5229b.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a1/3ec7c1c85a0d9ed42e8da268868843ce27777f.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a1/3ec7c1c85a0d9ed42e8da268868843ce27777f.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ad/4bbea3eac97974a729cb9d0ad95eefadca207d.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ad/4bbea3eac97974a729cb9d0ad95eefadca207d.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/cd/11394ad3966a3082c37b6415910ce143c726cd.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/cd/11394ad3966a3082c37b6415910ce143c726cd.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/d8/0bb1a9186c4be40cfe8a1eeba3e11565138b42.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/d8/0bb1a9186c4be40cfe8a1eeba3e11565138b42.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/d9a396e763d41ff753c3ae1446c2ec73c9d687.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/d9a396e763d41ff753c3ae1446c2ec73c9d687.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f3/a5cdb43e221a62d4821457f2a9f68eaacc5ea6.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f3/a5cdb43e221a62d4821457f2a9f68eaacc5ea6.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f9/3f4d594c113028bde7413ea6447c55db54ba52.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/f9/3f4d594c113028bde7413ea6447c55db54ba52.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/fc/4d360019a05cc1844d30edf569b276567a95f7.1 from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64
  file /usr/lib/debug/.build-id/fc/4d360019a05cc1844d30edf569b276567a95f7.1.debug from install of kernel-debuginfo-4.8.8-300.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.6-300.fc25.x86_64

Comment 3 Yann Droneaud 2017-01-13 17:31:21 UTC
# dnf upgrade --allowerasing --best kernel*
Last metadata expiration check: 0:22:02 ago on Fri Jan 13 15:44:33 2017.
Dependencies resolved.
==========================================================================================
 Package                         Arch    Version          Repository                 Size
==========================================================================================
Installing:
 kernel-debug-debuginfo          x86_64  4.9.2-200.fc25   updates-testing-debuginfo  532 M
 kernel-debuginfo                x86_64  4.9.2-200.fc25   updates-testing-debuginfo  520 M
 kernel-debuginfo-common-x86_64  x86_64  4.9.2-200.fc25   updates-testing-debuginfo   57 M
Removing:
 kernel-debuginfo-common-x86_64  x86_64  4.8.13-300.fc25  @updates-testing-debuginfo 299 M

Transaction Summary
==========================================================================================
Install  3 Packages
Remove   1 Package

Total size: 1.1 G
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] kernel-debuginfo-common-x86_64-4.9.2-200.fc25.x86_64.rpm: Already downloaded                        
[SKIPPED] kernel-debug-debuginfo-4.9.2-200.fc25.x86_64.rpm: Already downloaded                                
[SKIPPED] kernel-debuginfo-4.9.2-200.fc25.x86_64.rpm: Already downloaded                                      
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/48/4aefdaa5974c02d8471721c6f1a73259f4c1db from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/48/4aefdaa5974c02d8471721c6f1a73259f4c1db.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/3a445ed4ddac18ac43ad2d2606f4262b9017aa from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/3a445ed4ddac18ac43ad2d2606f4262b9017aa.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/8c/bd73421045826d9efa7c583968938e1d9aa049 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/8c/bd73421045826d9efa7c583968938e1d9aa049.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/98/e792525a99f365b602aac60ddd0e9537774136 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/98/e792525a99f365b602aac60ddd0e9537774136.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/9c/59d160023fec59c7cfdee0c085ec490e240897 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/9c/59d160023fec59c7cfdee0c085ec490e240897.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a0/ec16edb92c53b6724cc9d71c3da42ee39d66be from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a0/ec16edb92c53b6724cc9d71c3da42ee39d66be.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c1/81a2787f7e356b92afc338bd2a36d1facdefe5 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c1/81a2787f7e356b92afc338bd2a36d1facdefe5.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c4/2e6438aed7b6445e9fa953e7c046c8016326e7 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c4/2e6438aed7b6445e9fa953e7c046c8016326e7.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c6/a139ba525a550413f0948f69b1aa830c3d92d6 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c6/a139ba525a550413f0948f69b1aa830c3d92d6.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c9/596a9a8a2639eb3fbb1639e161a67f2c2db2d9 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c9/596a9a8a2639eb3fbb1639e161a67f2c2db2d9.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/db/1b1d2d8639bf83ce57637c2539199a4a50d431 from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/db/1b1d2d8639bf83ce57637c2539199a4a50d431.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/bfc3b5093ea0989a1c6c32a6d230ff536ac79a from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/bfc3b5093ea0989a1c6c32a6d230ff536ac79a.debug from install of kernel-debug-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debug-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/48/4aefdaa5974c02d8471721c6f1a73259f4c1db.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/48/4aefdaa5974c02d8471721c6f1a73259f4c1db.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/3a445ed4ddac18ac43ad2d2606f4262b9017aa.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/65/3a445ed4ddac18ac43ad2d2606f4262b9017aa.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/8c/bd73421045826d9efa7c583968938e1d9aa049.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/8c/bd73421045826d9efa7c583968938e1d9aa049.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/98/e792525a99f365b602aac60ddd0e9537774136.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/98/e792525a99f365b602aac60ddd0e9537774136.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/9c/59d160023fec59c7cfdee0c085ec490e240897.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/9c/59d160023fec59c7cfdee0c085ec490e240897.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a0/ec16edb92c53b6724cc9d71c3da42ee39d66be.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/a0/ec16edb92c53b6724cc9d71c3da42ee39d66be.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c1/81a2787f7e356b92afc338bd2a36d1facdefe5.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c1/81a2787f7e356b92afc338bd2a36d1facdefe5.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c4/2e6438aed7b6445e9fa953e7c046c8016326e7.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c4/2e6438aed7b6445e9fa953e7c046c8016326e7.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c6/a139ba525a550413f0948f69b1aa830c3d92d6.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c6/a139ba525a550413f0948f69b1aa830c3d92d6.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c9/596a9a8a2639eb3fbb1639e161a67f2c2db2d9.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/c9/596a9a8a2639eb3fbb1639e161a67f2c2db2d9.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/db/1b1d2d8639bf83ce57637c2539199a4a50d431.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/db/1b1d2d8639bf83ce57637c2539199a4a50d431.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/bfc3b5093ea0989a1c6c32a6d230ff536ac79a.1 from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64
  file /usr/lib/debug/.build-id/ef/bfc3b5093ea0989a1c6c32a6d230ff536ac79a.1.debug from install of kernel-debuginfo-4.9.2-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.8.16-300.fc25.x86_64

Error Summary
-------------

Comment 4 Justin M. Forbes 2017-04-11 14:50:50 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 5 Tomasz Torcz 2017-04-19 08:51:34 UTC
Still a problem:
Error: Transaction check error:

  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244.1 from install of kernel-debuginfo-4.10.10-200.fc25.x86_64 conflicts with file 

from package kernel-debuginfo-4.10.8-200.fc25.x86_64
  file /usr/lib/debug/.build-id/0c/e92ff15df1db19ccad1bf8e0337f9025f69244.1.debug from install of kernel-debuginfo-4.10.10-200.fc25.x86_64 conflicts with file from package kernel-debuginfo-4.10.8-200.fc25.x86_64

Comment 6 Yann Droneaud 2017-07-25 13:38:32 UTC
Still having the issue with Fedora 26:

# dnf distro-sync --best --allowerasing  --skip-broken
Last metadata expiration check: 0:04:47 ago on Tue Jul 25 15:32:00 2017.
Dependencies resolved.
=================================================================================
 Package                        Arch   Version           Repository         Size
=================================================================================
Installing:
 kernel-debug-debuginfo         x86_64 4.11.11-300.fc26  updates-debuginfo 588 M
 kernel-debuginfo               x86_64 4.11.11-300.fc26  updates-debuginfo 572 M
 kernel-debuginfo-common-x86_64 x86_64 4.11.11-300.fc26  updates-debuginfo  59 M
Removing:
 kernel-debuginfo-common-x86_64 x86_64 4.11.6-301.fc26   @@commandline     313 M

Transaction Summary
=================================================================================
Install  3 Packages
Remove   1 Package

Total size: 1.2 G
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] kernel-debuginfo-common-x86_64-4.11.11-300.fc26.x86_64.rpm: Already downloaded
[SKIPPED] kernel-debug-debuginfo-4.11.11-300.fc26.x86_64.rpm: Already downloaded
[SKIPPED] kernel-debuginfo-4.11.11-300.fc26.x86_64.rpm: Already downloaded      
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/14/e11fd5118a3e808dd673ce971b0ea050eaee7e from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/14/e11fd5118a3e808dd673ce971b0ea050eaee7e.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/18/ab4f32af3a16171b362a09739effe9090b88fc from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/18/ab4f32af3a16171b362a09739effe9090b88fc.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/21/f8bb010209ea7ba893e8df0e12cb5222d65335 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/21/f8bb010209ea7ba893e8df0e12cb5222d65335.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/cd/3e61ba6b902c10758948c25e356e0e54e26c76 from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/cd/3e61ba6b902c10758948c25e356e0e54e26c76.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.debug from install of kernel-debug-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debug-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/14/e11fd5118a3e808dd673ce971b0ea050eaee7e.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/14/e11fd5118a3e808dd673ce971b0ea050eaee7e.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/18/ab4f32af3a16171b362a09739effe9090b88fc.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/18/ab4f32af3a16171b362a09739effe9090b88fc.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/21/f8bb010209ea7ba893e8df0e12cb5222d65335.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/21/f8bb010209ea7ba893e8df0e12cb5222d65335.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/cd/3e61ba6b902c10758948c25e356e0e54e26c76.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/cd/3e61ba6b902c10758948c25e356e0e54e26c76.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.1 from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64
  file /usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.1.debug from install of kernel-debuginfo-4.11.11-300.fc26.x86_64 conflicts with file from package kernel-debuginfo-4.11.10-300.fc26.x86_64

Error Summary
-------------

[ydroneaud@test boot]$

Comment 7 Yann Droneaud 2017-08-24 15:40:53 UTC
It should be noted every files conflicting between installed debuginfo and updates debuginfo packages are symlinks:

# grep -o "/usr/lib/debug/\.build-id/[^ ]*" | xargs file
/usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/kconfig/conf
/usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/kconfig/conf.debug
/usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/extract-cert
/usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/extract-cert.debug
/usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/unifdef
/usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/unifdef.debug
/usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/sign-file
/usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/sign-file.debug
/usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/pnmtologo
/usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/pnmtologo.debug
/usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/conmakehash
/usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/conmakehash.debug
/usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/basic/fixdep
/usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/basic/fixdep.debug
/usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/sortextable
/usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/sortextable.debug
/usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/asn1_compiler
/usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/asn1_compiler.debug
/usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/kallsyms
/usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/kallsyms.debug
/usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/basic/bin2c
/usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/basic/bin2c.debug
/usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.1:       broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64/scripts/mod/mk_elfconfig
/usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.1.debug: symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64/scripts/mod/mk_elfconfig.debug
/usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/kconfig/conf
/usr/lib/debug/.build-id/06/364f8bb72beafc50f3c88df02d103a1da79127.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/kconfig/conf.debug
/usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/extract-cert
/usr/lib/debug/.build-id/17/a039bf7711d36667ecce7e6305733be7987205.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/extract-cert.debug
/usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/unifdef
/usr/lib/debug/.build-id/29/3acbd5d556e3a6bd7865e957094dd5b2f5061b.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/unifdef.debug
/usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/sign-file
/usr/lib/debug/.build-id/2f/da556479cd1df3691d240ac184297f390f3ac1.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/sign-file.debug
/usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/pnmtologo
/usr/lib/debug/.build-id/30/5f38aa74cfa5a232c49c3690c9d98aee59e5dc.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/pnmtologo.debug
/usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/conmakehash
/usr/lib/debug/.build-id/54/41d2a8089aa55906cb153b3c18a17a733dd182.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/conmakehash.debug
/usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/basic/fixdep
/usr/lib/debug/.build-id/61/0312e916b56c0b56f5e93cfc7ef7f1dd77a6f4.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/basic/fixdep.debug
/usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/sortextable
/usr/lib/debug/.build-id/89/9cf2049020886256b2e0ddbc414bd5393287d4.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/sortextable.debug
/usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/asn1_compiler
/usr/lib/debug/.build-id/a2/72e8bfc267921ba53149df0cd76b57c0e53784.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/asn1_compiler.debug
/usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/kallsyms
/usr/lib/debug/.build-id/b1/a0353a94bd9f89ec6ab1e3d3452ff7c503a020.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/kallsyms.debug
/usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/basic/bin2c
/usr/lib/debug/.build-id/c1/41dcb3c78d58c06ee934e9e716db23e270fb31.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/basic/bin2c.debug
/usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff:         broken symbolic link to ../../../../src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/mod/mk_elfconfig
/usr/lib/debug/.build-id/e2/e435926598df82c7475b39d859493822a7e1ff.debug:   symbolic link to ../../usr/src/kernels/4.11.10-300.fc26.x86_64+debug/scripts/mod/mk_elfconfig.debug


It should also be noted it's symlinks to kernel build tools, not actual kernel / modules.

Comment 8 Justin M. Forbes 2017-08-25 12:08:47 UTC
This should be fixed with the new debuginfo generation in F27/rawhide.  As this requires a new version of rpm, it is not something that gets added to the rebase for older releases.

Comment 9 Yann Droneaud 2017-08-25 13:15:20 UTC
(In reply to Justin M. Forbes from comment #8)
> This should be fixed with the new debuginfo generation in F27/rawhide.  As
> this requires a new version of rpm, it is not something that gets added to
> the rebase for older releases.

Great, news.

I've dig into the proposed change for F27 with regard to RPM 4.14 https://fedoraproject.org/wiki/Releases/27/ChangeSet#RPM_4.14
https://fedoraproject.org/wiki/Changes/RPM-4.14

> "- Major debuginfo rewrite (covered by two other changes and already applied in F27)
>    -  Parallel Installable Debuginfo"

Then from https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo
I've identified #1369557 (blocked by #1340819) as a possible duplicate for the present bug.

If #1369557 wasn't closed (because it was against F24), I would have recommended to close this one as a duplicate of #1369557.


Note You need to log in before you can comment on or make changes to this bug.